### Class

# FwupdPlugin Ioctl

#### Description

    final class FwupdPlugin.Ioctl : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### fu_ioctl_add_const_buffer

Adds a constant buffer that can be used to fix up the ioctl-defined structure with the buffer and size, and adds a key for the emulation.

since: 2.0.2

###### fu_ioctl_add_key_as_u16

Adds a key for the emulation, formatting it as `0x%04x`.

since: 2.0.2

###### fu_ioctl_add_key_as_u8

Adds a key for the emulation, formatting it as `0x%02x`.

since: 2.0.2

###### fu_ioctl_add_mutable_buffer

Adds a mutable buffer that can be used to fix up the ioctl-defined structure with the buffer and size, and adds a key for the emulation.

since: 2.0.2

###### fu_ioctl_execute

Executes the ioctl, emulating as required. Each fixup defined using `fu_ioctl_add_mutable_buffer()` of `fu_ioctl_add_const_buffer()` is run before the ioctl is executed.

since: 2.0.2

###### fu_ioctl_set_name

Adds a name for the ioctl, preserving compatibility with existing emulation data.

since: 2.0.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginIoctlClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.